package socket;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.Socket;
import java.net.UnknownHostException;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextArea;

import chatA2.ChatA2app;
import chatA2.ChatWriter;
import chatA2.Chatter;
import chatA2.ConfigurationState;

public class ClientSocketManager extends Thread {
	
	public void run() {
		
		try {
						
			String line;
			
			while ( true ) {
				
				line = ChatA2app.getInstance().c_dis.readLine();
				
				if (line == null ) break;
				
				if (line.substring(0, 1).equalsIgnoreCase("T")) {
				 ChatA2app.getInstance().chatArea.append(line.substring(1) + "\n");
				}
				else if (line.substring(0, 1).equalsIgnoreCase("C")) {
					ChatWriter.getInstance().clientControlManager(line.substring(1));
				} 
			
			}
		
			
		} catch (IOException e) {
			ChatA2app.getInstance().logArea.append("Error: IO Exception at ClientSocketManager.java:89\n");
		}
		
		
	}
	
}
