package socket;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.ServerSocket;
import java.net.Socket;

import javax.swing.JTextArea;

import chatA2.ChatA2app;
import chatA2.ChatWriter;
import chatA2.ConfigurationState;


public class SocketManager extends Thread {
	
	Socket client_socket = null;
	
	InputStream is = null;
	OutputStream os = null;
	DataInputStream dis = null;
	DataOutputStream dos = null;
	
	clientUserSocket clientUserSocket = null;
				
	public void run() {
		
		while (true) {
			
			try {
				
				client_socket = ChatA2app.getInstance().serverSocket.accept();
				
				os = client_socket.getOutputStream();
				is = client_socket.getInputStream();
				dis = new DataInputStream(is);
				dos = new DataOutputStream(os); 
				
				String nick_name = null;
				
				try {
					
					boolean done = false;
					
					while ( ! done ) {
						
						nick_name = dis.readLine();
						if (nick_name == null ) break;
						done = true;
					
					}
				}
				finally {}
				
				clientUserSocket = new clientUserSocket(client_socket, dis);
				clientUserSocket.start();
				
				ChatWriter.getInstance().addChatter(dos, clientUserSocket, dis, client_socket, nick_name);
				
				ChatA2app.getInstance().logArea.append("A new client called " + nick_name  + " is connected to the server!\n");
				ChatWriter.getInstance().write_msg("T*** " + nick_name + " *** enters the chat\n"); 

			}
			catch(IOException ioe) {
				ChatA2app.getInstance().logArea.append("Error: IO Exception\n");
			}
		}
		
		
	}

}
