package socket;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.Socket;

import javax.swing.JTextArea;

import chatA2.ChatA2app;
import chatA2.ChatWriter;

public class clientUserSocket extends Thread {
	
	Socket client_socket = null;
	DataInputStream dis = null;
	
	public clientUserSocket(Socket client_socket, DataInputStream dis) {
		
		this.client_socket = client_socket;
		this.dis = dis;
	
		
	}
	
	public void run() {
		
		String line;
		
		try {
		
		while ( true ) {
			
			line = dis.readLine();
			
			if (line == null ) break;
			
			if (line.substring(0, 1).equalsIgnoreCase("T")) {
				 ChatWriter.getInstance().write_msg(line + "\n");
			}
			else if (line.substring(0, 1).equalsIgnoreCase("C")) {
			 ChatWriter.getInstance().serverControlManager(line.substring(1));
			} 
		
		}
		
		} catch (IOException e) {
			ChatA2app.getInstance().logArea.append("Error: IO Exception, clientUserSocket.java:66\n");
		}
		
	}

}
